Get Company Settings
Retrieve the company settings for the current organization, including contact details, address, and preferences.
Retrieve the company settings for the current organization, including contact details, address, and preferences.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Response Body
application/json
curl -X GET "https://example.com/company-settings"{ "settings": { "id": "string", "name": "string", "slug": "string", "logo": "string", "labReference": "string", "email": "string", "billingEmail": "string", "address": "string", "addressLine2": "string", "city": "string", "state": "string", "country": "string", "postcode": "string", "timezone": "string", "currency": "string", "dateFormat": "string", "phone": "string", "website": "string", "companyNumber": "string", "taxRegistrationNumber": "string", "eInvoiceCode": "string", "certifiedEmail": "string", "teethChartingSystem": "string", "aiAssistanceEnabled": true, "workTypeLayout": "string", "latitude": "string", "longitude": "string", "isDiscoverable": true, "description": "string", "coverImage": "string", "createdAt": "string", "updatedAt": "string" }}Get Company Logo GET
Serve the company logo image from R2 storage. The optional orgId parameter is limited to the current organization, organizations the caller is a member of, discoverable organizations, or active partners. Pass the organization's logo asset id as v to receive a long-lived immutable response.
List Company Gallery Images GET
List all gallery images for the organization, sorted by display order. The optional orgId parameter is limited to the current organization, organizations the caller is a member of, discoverable organizations, or active partners.